Bug 844683 - [RFE] mingw-virt-viewer: use ASLR [NEEDINFO]
[RFE] mingw-virt-viewer: use ASLR
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: mingw-virt-viewer (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity low
: ovirt-4.3.0
: ---
Assigned To: Default Assignee for SPICE Bugs
SPICE QE bug list
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-31 07:54 EDT by Tomas Jamrisko
Modified: 2018-05-23 17:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sbonazzo: needinfo? (rh-spice-bugs)


Attachments (Terms of Use)

  None (edit)
Description Tomas Jamrisko 2012-07-31 07:54:18 EDT
Description of problem:

virt-viewer for windows does not support ASLR. This is pretty much a regression as spice client had this bug (#701111) resolved in an errata.


Version-Release number of selected component (if applicable):
mingw-virt-viewer-0.5.3-8.el6

How reproducible:
Always

How to check:
1. Get Process explorer (http://technet.microsoft.com/en-us/sysinternals/bb896653.aspx)
2. Start remote-viewer
3. Take a look at remote-viewer in Process Explorer ( enable 'ASLR enabled' column)

Expected: 

ASLR should be enabled (obviously)
Comment 6 David Blechter 2013-08-09 04:33:25 EDT
postpone it to the next release, no solution yet
Comment 8 Christophe Fergeau 2015-06-04 12:07:22 EDT
Seems like it's possible to enable ASLR with mingw-w64 builds using some hacks:
http://sourceforge.net/p/mingw-w64/mailman/mingw-w64-public/thread/CAGFXeQKg0J+ax0Dj-cBXGGrwWT15K-aRsWWaBN6wWSDUtRHoLg@mail.gmail.com/
Comment 14 Sandro Bonazzola 2017-12-20 08:59:28 EST
oVirt 4.2.0 has been released on Dec 20th 2017. Please consider re-targeting this bug to next milestone

Note You need to log in before you can comment on or make changes to this bug.